# Uses of Enum Class
java.awt.Desktop.Action

Packages that use Desktop.Action
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of Desktop.Action in java.awt

Methods in java.awt that return Desktop.Action
Modifier and Type
Method
Description
`static Desktop.Action`
Desktop.Action.`valueOf​(String name)`
Returns the enum constant of this class with the specified name.
`static Desktop.Action[]`
Desktop.Action.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.awt with parameters of type Desktop.Action
Modifier and Type
Method
Description
`boolean`
Desktop.`isSupported​(Desktop.Action action)`
Tests whether an action is supported on the current platform.